Subject: Re: [bug#56186] [PATCH] gnu: Add python-deepdish.

From: Maxime Devos <[email-masked]>
Date: Sat, 30 Jul 2022 22:54:01 +0200

On 24-06-2022 14:50, Antero Mejr via Guix-patches via wrote:

> +                        (add-after 'unpack 'dont-vendor-six
> +                          (lambda _
> +                            (delete-file "deepdish/six.py")
> +                            (substitute* "deepdish/io/hdf5io.py"
> +                              (("from deepdish import six") "import six"))
> +                            (substitute* "deepdish/io/ls.py"
> +                              (("from deepdish import io, six, __version__")
> +                               "from deepdish import io, __version__

If you move it to an origin snippet, then the result of "guix build 
--source" becomes 'cleaner' in the sense that it actually corresponds to 
what is built, could it be moved there?

Greetings,
Maxime.